Page MenuHomePhabricator

elementary: reduce event generation during object creation by Efl.Ui.WidgetFactory.
ClosedPublic

Authored by cedric on Nov 15 2019, 11:26 AM.

Details

Summary

We can not freeze the canvas in all scenario as we are sometime building widget fully
asynchronously which prevent holding events on the canvas. Still it is better to do it
for the case we can.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
cedric created this revision.Nov 15 2019, 11:26 AM
bu5hm4n accepted this revision.Nov 17 2019, 2:42 AM
This revision is now accepted and ready to land.Nov 17 2019, 2:42 AM
SanghyeonLee accepted this revision.Nov 17 2019, 8:55 PM
Closed by commit rEFLb9e0d25a4c44: elementary: reduce event generation during object creation by Efl.Ui. (authored by cedric, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyDec 11 2019, 2:13 AM
This revision was automatically updated to reflect the committed changes.